## LassoIdWsf2PsAddEntityRequest LassoIdWsf2PsAddEntityRequest — <ps:AddEntityRequest> |

## Functions

LassoIdWsf2PsAddEntityRequest * | lasso_idwsf2_ps_add_entity_request_new ()

## Types and Values

struct | LassoIdWsf2PsAddEntityRequest

## Description

Figure 206. Schema fragment for ps:AddEntityRequest

    <xs:complexType name="AddEntityRequestType">
      <xs:complexContent>
        <xs:extension base="RequestAbstractType">
          <xs:sequence>
            <xs:element ref="Object"/>
            <xs:element ref="PStoSPRedirectURL" minOccurs="0"/>
            <xs:element ref="CreatePSObject" minOccurs="0"/>
            <xs:element ref="Subscription" minOccurs="0"/>
            <xs:element ref="sec:TokenPolicy" minOccurs="0"/>
          </xs:sequence>
        </xs:extension>
      </xs:complexContent>
    </xs:complexType>

## Functions

### lasso_idwsf2_ps_add_entity_request_new ()

    LassoIdWsf2PsAddEntityRequest *
    lasso_idwsf2_ps_add_entity_request_new
                                   (void);

Creates a new LassoIdWsf2PsAddEntityRequest object.

#### Returns

a newly created LassoIdWsf2PsAddEntityRequest object

## Types and Values

### struct LassoIdWsf2PsAddEntityRequest

    struct LassoIdWsf2PsAddEntityRequest {
    	LassoIdWsf2PsRequestAbstract parent;

    	/* elements */
    	/* XXX */ void *Object;
    	/* XXX */ void *PStoSPRedirectURL;
    	char *CreatePSObject;
    	/* XXX */ void *Subscription;
    	/* XXX */ void *TokenPolicy;
    };